Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.compilers
Class JRBshGenerator

    java.lang.Object
      net.sf.jasperreports.compilers.JRBshGenerator

    public class JRBshGenerator

extends java.lang.Object

Version:
  $Id: JRBshGenerator.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected java.util.Map` | `fieldsMap`
`protected java.util.Map` | `parametersMap`
`protected JRSourceCompileTask` | `sourceTask`
`protected JRVariable[]` | `variables`
`protected java.util.Map` | `variablesMap`

Constructor Summary
`protected` | `JRBshGenerator(JRSourceCompileTask sourceTask)`

Method Summary
`protected void` | `generateDeclarations(java.lang.StringBuffer sb)`
`protected void` | `generateInitMethod(java.lang.StringBuffer sb)`
`protected java.lang.String` | `generateMethod(byte evaluationType, java.util.List expressionsList)`
`protected java.lang.String` | `generateScript()`
`static java.lang.String` | `generateScript(JRSourceCompileTask sourceTask)`
`protected void` | `generateScriptEnd(java.lang.StringBuffer sb)`
`protected void` | `generateScriptStart(java.lang.StringBuffer sb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sourceTask

    protected final JRSourceCompileTask sourceTask

### parametersMap

    protected java.util.Map parametersMap

### fieldsMap

    protected java.util.Map fieldsMap

### variablesMap

    protected java.util.Map variablesMap

### variables

    protected JRVariable[] variables

Constructor Detail

### JRBshGenerator

    protected JRBshGenerator(JRSourceCompileTask sourceTask)

Method Detail

### generateScript

    public static java.lang.String generateScript(JRSourceCompileTask sourceTask)

### generateScript

    protected java.lang.String generateScript()

### generateScriptStart

    protected final void generateScriptStart(java.lang.StringBuffer sb)

### generateDeclarations

    protected final void generateDeclarations(java.lang.StringBuffer sb)

### generateInitMethod

    protected final void generateInitMethod(java.lang.StringBuffer sb)

### generateScriptEnd

    protected void generateScriptEnd(java.lang.StringBuffer sb)

### generateMethod

    protected final java.lang.String generateMethod(byte evaluationType,
                                                    java.util.List expressionsList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com